#pragma once

#include "CoreMinimal.h"
#include "AISkill_Interaction_KillerPower.h"
#include "AITunableParameter.h"
#include "AISkill_Interaction_K37FormSwitch.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THEK37_API UAISkill_Interaction_K37FormSwitch : public UAISkill_Interaction_KillerPower
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter BatTransformMinGoalDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter BatTransformMinSurvivorDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter ExitBatFormMaxDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter AvoidTransformMaxSurvivorDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter BatTransformCooldown;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float InteractionDelay;

public:
	UAISkill_Interaction_K37FormSwitch();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Interaction_K37FormSwitch) { return 0; }
